<div class="col-12 p-0 tw-relative">

    <ngx-spinner bdColor="rgba(0,0,0,0.8)" color="#fff" type="timer" size="large" [fullScreen]="false">
        <p style="color: white;margin-top: 30px;">Loading Datas...</p>
        <!--if fullscreen false  Your parent container(div) should have position: relative;  -->
    </ngx-spinner>
    <p-messages></p-messages>
    <p-toast></p-toast>

    <div class="grid col-12 p-0  tw-w-full">
        <!--/////// speedDial ////////-->
        <!-- <div class="grid tw-relative tw-w-full">
            <div class="grid tw-fixed  tw-h-screen pl-10 ">
                <div style="position: relative;left: 20; top: calc(20% - 10rem);margin-left: 15px;">
                    <p-speedDial [model]="speedDialitems" direction="right" [transitionDelay]="50" showIcon="pi pi-bars"
                        hideIcon="pi pi-times" buttonClassName="p-button-outlined" class="ml-3"></p-speedDial>
                </div>
            </div>
        </div> -->
        <!--/////// speedDial End////////-->


        <div class="col-12 w-full">

            <div class="flex flex-column md:flex-row md:align-items-center md:justify-content-between mb-3 gap-3">

                <div class="flex align-items-center">
                    <!-- <img src="assets/demo/images/avatar/profile.jpg" width="64" alt="profile"
                        class="border-circle border-2 border-primary flex-shrink-0" /> -->
                    <div class="ml-3">
                        <span class="text-4xl font-light">{{title}}{{fname}} {{lname}}</span>
                        <div class="text-color-secondary">
                            <span class="text-black-alpha-90 font-bold mr-2">อายุ :</span>
                            <span class="text-black-alpha-60 font-semibold mr-4">{{age | thaiage}} {{age }}</span>
                            <span class="text-black-alpha-90 font-bold mr-2">เพศ :</span>
                            <span class="text-black-alpha-60 font-semibold mr-4">{{gender}} </span>
                            <span class="text-black-alpha-90 font-bold mr-2">AN :</span>
                            <span class="text-black-alpha-60 font-semibold mr-4">{{an}} </span>
                            <span class="text-black-alpha-90 font-bold mr-2">HN :</span>
                            <span class="text-black-alpha-60 font-semibold">{{hn}} </span>

                        </div>
                    </div>
                </div>
                <div class="flex flex-wra align-content-center gap-3 tw-mr-10">
                    <div class="flex flex-wrap justify-content-end tw-mt-3">
                        <div class="flex">
                            <button pButton pRipple icon="pi pi-arrow-left" type="button" label="" pTooltip="ย้อนกลับ" tooltipPosition="top"
                                class="p-button-danger" (click)="backPage()"></button>
                        </div>
                    </div>

                    <div class="flex flex-row flex-wrap ">
                        <div>

                            <!-- <p-speedDial [model]="speedDialitems" direction="down" buttonClassName="p-button-success"
                                className="speeddial-left"></p-speedDial> -->

                            <!-- <p-speedDial [model]="speedDialitems" className="speeddial-left" direction="down"
                                [transitionDelay]="50" showIcon="pi pi-bars" hideIcon="pi pi-times"
                                buttonClassName="p-button-outlined"></p-speedDial> -->

                        </div>

                    </div>
                </div>

            </div>
        </div>
    </div>
    <div class="card">
        <div class="surface-section px-4">
            <div class="font-bold text-xl text-800 mb-3">ประวัติแรกรับ 
                <!-- <img *ngIf="imageurl" [src]="imageurl" alt="Image"> -->

            </div>
            <div class="grid nogutter">
                <div class="col-12 p-2">
                    <div class="col-12 border-top-2 border-blue-400 tw-h-1"></div>
                    <div class="text-800 font-medium text-xl line-height-3 mb-3 lg:mb-1">Chief Compaint :
                        {{chief_complaint}}</div>
                    <div class="text-800 font-medium text-xl line-height-3 mb-3 lg:mb-1">Present Illness :
                        {{present_illness}}</div>
                    <div class="text-800 font-medium text-xl line-height-3 mb-3 lg:mb-1">Past Illness : {{past_history}}
                    </div>
                    <div class="text-800 font-medium text-xl line-height-3 mb-1">Physical Exam : {{physical_exam}}</div>
                    <div class="text-800 font-medium text-xl line-height-3 mb-3 lg:mb-1">Previous Diagnosis :
                        {{pre_diag}}</div>
                </div>
            </div>
        </div>
    </div>

    <div class="card">
        <!-- //////////////Past History/////////////////////////////////////////////////////////////////////////////////// -->
        <div>
            <div class="flex tw-flex-col mt-2"></div>
            <div class="font-bold text-xl text-800 mb-3">Past History </div>
            <div class="col-12 border-top-2 border-blue-400 tw-h-1"></div>
            <div class="grid h-full p-4 tw-items-center">
                <div class="col-12 md:col-6 lg:col-4 xl:col-3 py-0 mb-2">
                    <div class="flex flex-row my-auto align-content-center tw-items-center py-0">
                        <div class="font-bold w-11rem">โรคประจำตัว</div>
                        <div class="mr-6">
                            <p-radioButton name="is_chronic" [value]="false" [(ngModel)]="is_chronic" id="is_chronic"
                                (click)="click_is_chronic_N()"></p-radioButton>
                            <label for="is_chronic" class="ml-2">ไม่มี</label>
                        </div>
                        <div><p-radioButton name="is_chronic" [value]="true" [(ngModel)]="is_chronic"
                                id="is_chronic2"></p-radioButton>
                            <label for="is_chronic2" class="ml-2">มี</label>
                        </div>
                    </div>
                </div>
                <div class="col-12 md:col-6 lg:col-8 xl:col-9 py-0">
                    <div class="flex flex-row">
                        <div class>
                            <span pButton pRipple type="button" label="ระบุ"
                                class="p-button-secondary p-button-text w-6rem"></span>
                        </div>
                        <div class="flex  pl-2 tw-w-96 ">
                            <input pInputText id="firstname1" type="text" [(ngModel)]="chronic_describe" placeholder
                                class="w-full ui-fluid" [disabled]="!is_chronic" />
                        </div>
                    </div>
                </div>
            </div>


            <div class="grid h-full p-4 tw-items-center">
                <div class="col-12 md:col-6 lg:col-4 xl:col-3 py-0 mb-2">
                    <div class="flex flex-row my-auto align-content-center tw-items-center py-0">
                        <div class="font-bold w-11rem">การแพ้ยา</div>
                        <div class="mr-6"><p-radioButton name="is_allergy" [value]="false" [(ngModel)]="is_allergy"
                                id="is_allergy" (click)="click_is_allergy_N()"></p-radioButton>
                            <label for="is_allergy" class="ml-2">ไม่แพ้</label>
                        </div>
                        <div><p-radioButton name="is_allergy" [value]="true" [(ngModel)]="is_allergy"
                                id="is_allergy2"></p-radioButton>
                            <label for="is_allergy2" class="ml-2">แพ้ยา</label>
                        </div>
                    </div>
                </div>
                <div class="col-12 md:col-6 lg:col-8 xl:col-9 py-0">
                    <div class="flex flex-row">
                        <div class>
                            <span pButton pRipple type="button" label="ระบุ"
                                class="p-button-secondary p-button-text w-6rem"></span>
                        </div>
                        <div class="flex  pl-2 tw-w-96 ">
                            <input pInputText id="firstname1" type="text" [(ngModel)]="allergy_describe" placeholder
                                class="w-full ui-fluid" [disabled]="!is_allergy" />
                        </div>
                    </div>
                </div>
            </div>
            <div class="grid h-full p-4 tw-items-center">
                <div class="col-12 md:col-6 lg:col-4 xl:col-3 py-0 mb-2">
                    <div class="flex flex-row my-auto align-content-center tw-items-center py-0">
                        <div class="font-bold w-11rem">การผ่าตัด</div>
                        <div class="mr-6"><p-radioButton name="is_operation" [value]="false" [(ngModel)]="is_operation"
                                id="is_operation" (click)="click_is_operation_N()"></p-radioButton>
                            <label for="is_operation" class="ml-2">ไม่เคย</label>
                        </div>
                        <div><p-radioButton name="is_operation" [value]="true" [(ngModel)]="is_operation"
                                id="is_operation2"></p-radioButton>
                            <label for="is_operation2" class="ml-2">เคย</label>
                        </div>
                    </div>
                </div>
                <div class="col-12 md:col-6 lg:col-8 xl:col-9 py-0">
                    <div class="flex flex-row">
                        <div class>
                            <span pButton pRipple type="button" label="ระบุ"
                                class="p-button-secondary p-button-text w-6rem"></span>
                        </div>
                        <div class="flex  pl-2 tw-w-96 ">
                            <input pInputText id="firstname1" type="text" [(ngModel)]="operation_describe" placeholder
                                class="w-full ui-fluid" [disabled]="!is_operation" />
                        </div>
                    </div>
                </div>
            </div>

            <div class="grid h-full p-4 tw-items-center tw-content-start">
                <div class="col-12 md:col-5 lg:col-4 xl:col-3 py-0 mb-2 tw-content-start">
                    <div class="flex flex-row my-auto align-content-center tw-items-center tw-content-start py-0">
                        <div class="font-bold w-11rem">การสูบบุหรี่</div>
                        <div class="mr-6"><p-radioButton name="is_smoke" [value]="false" [(ngModel)]="is_smoke"
                                id="is_smoke" (click)="click_is_smoke_N()"></p-radioButton>
                            <label for="is_smoke" class="ml-2">ไม่สูบ</label>
                        </div>
                        <div><p-radioButton name="is_smoke" [value]="true" [(ngModel)]="is_smoke"
                                id="is_smoke2"></p-radioButton>
                            <label for="is_smoke2" class="ml-2">มีสูบ</label>
                        </div>
                    </div>
                </div>
                <div class="col-12 md:col-7 lg:col-8 xl:col-9 py-0">
                    <div class="flex flex-row">
                        <div>
                            <div class>
                                <span pButton pRipple type="button" label="ระบุ"
                                    class="p-button-secondary p-button-text w-6rem"></span>
                            </div>
                        </div>
                        <div class="flex flex-wrap">
                            <div class="flex  mb-1 tw-mr-2 tw-items-center">
                                <span>ระยะเวลา : </span>
                                <p-inputNumber inputId="integeronly" [(ngModel)]="smoke_describe_qty" placeholder="มวน"
                                    [min]="0" [max]="99" class="p-inputnumber-input-my"
                                    [disabled]="!is_smoke"></p-inputNumber>
                            </div>
                            <div class="flex  mb-1 tw-mr-2 tw-items-center">
                                <span>สูบมานาน : </span>
                                <p-inputNumber inputId="integeronly" [(ngModel)]="smoke_describe_duration"
                                    placeholder="ปี" [min]="0" [max]="99" class="p-inputnumber-input-my"
                                    [disabled]="!is_smoke"></p-inputNumber>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="grid h-full p-4 tw-items-center tw-content-start">
                <div class="col-12 md:col-5 lg:col-4 xl:col-3 py-0 tw-content-start">
                    <div class="flex flex-row my-auto align-content-center tw-items-center tw-content-start py-0">
                        <div class="font-bold w-11rem">การดื่มสุรา</div>

                        <div class="mr-6"><p-radioButton name="is_drink_alchohol" [value]="false"
                                [(ngModel)]="is_drink_alchohol" id="is_drink_alchohol"
                                (click)="click_is_drink_alchohol_N()"></p-radioButton>
                            <label for="is_drink_alchohol" class="ml-2">ไม่ดื่ม</label>
                        </div>
                        <div><p-radioButton name="is_drink_alchohol" [value]="true" [(ngModel)]="is_drink_alchohol"
                                id="is_drink_alchohol2"></p-radioButton>
                            <label for="is_drink_alchohol2" class="ml-2">ดื่ม</label>
                        </div>
                    </div>
                </div>
                <div class="col-12 md:col-7 lg:col-8 xl:col-9 py-0">
                    <div class="flex flex-row">
                        <div>
                            <div class>
                                <span pButton pRipple type="button" label="ระบุ"
                                    class="p-button-secondary p-button-text w-6rem"></span>
                            </div>
                        </div>
                        <div class="flex flex-wrap">
                            <div class="flex  mb-1 tw-mr-2 tw-items-center">
                                <span>ระยะเวลา :</span>
                                <p-inputNumber inputId="integeronly" [(ngModel)]="drink_alchohol_describe_duration"
                                    placeholder="ปี" [min]="0" [max]="99" class="p-inputnumber-input-my"
                                    [disabled]="!is_drink_alchohol"></p-inputNumber>
                            </div>


                            <div class="flex   mb-1 tw-mr-2 tw-items-center">
                                <span>จำนวน :</span>
                                <p-inputNumber inputId="integeronly" [(ngModel)]="drink_alchohol_describe_qty"
                                    placeholder="ขวด" [min]="0" [max]="99" class="p-inputnumber-input-my"
                                    [disabled]="!is_drink_alchohol"></p-inputNumber>
                            </div>

                            <div class="flex  mb-1 tw-mr-2 tw-items-center">
                                <span>ความถี่ :</span>
                                <p-inputNumber inputId="integeronly" [(ngModel)]="drink_alchohol_describe_frequency"
                                    placeholder="ต่อวัน" [min]="0" [max]="99" class="p-inputnumber-input-my"
                                    [disabled]="!is_drink_alchohol"></p-inputNumber>
                            </div>

                        </div>
                    </div>
                </div>
            </div>

            <div class="grid h-full p-4 tw-items-center tw-content-start" gender *ngIf="gender == 'หญิง'">
                <div class="col-12 md:col-5 lg:col-4 xl:col-3 py-0 tw-content-start">
                    <div class="flex flex-row my-auto align-content-center tw-items-center tw-content-start py-0">
                        <div class="font-bold w-11rem">การคุมกำเนิด</div>

                        <div class="mr-6"><p-radioButton name="is_birth_control" [value]="false"
                                [(ngModel)]="is_birth_control" id="is_birth_control"></p-radioButton>
                            <label for="is_birth_control" class="ml-2">ไม่มี</label>
                        </div>
                        <div><p-radioButton name="is_birth_control" [value]="true" [(ngModel)]="is_birth_control"
                                id="is_birth_control2"></p-radioButton>
                            <label for="is_birth_control2" class="ml-2">มี</label>
                        </div>
                    </div>
                </div>

            </div>
            <div class="grid h-full p-4 tw-items-center tw-content-start" gender *ngIf="gender == 'หญิง'">
                <div class="col-12 md:col-5 lg:col-4 xl:col-1 py-0 tw-content-start">
                    <div class="flex flex-row my-auto align-content-center tw-items-center tw-content-start py-0">
                        <div class="font-bold w-11rem">วันที่ประจำเดือนล่าสุด</div>
                    </div>
                </div>
                <div class="col-12 md:col-7 lg:col-8 xl:col-9 py-0">
                    <div class="flex flex-row">
                        <div class="flex flex-wrap">
                            <div class="flex  mb-1 tw-mr-2 tw-items-center">

                                <p-calendar [(ngModel)]="last_menstrual_period" dateFormat="yy-mm-dd"
                                    (ngModelChange)="onChange($event)" placeholder="LMP"
                                    styleClass="calendar-custom-width"></p-calendar>
                            </div>
                            <div class="flex   mb-1 tw-mr-2 tw-items-center">
                                <span>G : </span>
                                <p-inputNumber inputId="integeronly" [(ngModel)]="gravida" placeholder="" [min]="0"
                                    [max]="99" class="p-inputnumber-input-my"></p-inputNumber>
                            </div>
                            <div class="flex   mb-1 tw-mr-2 tw-items-center">
                                <span>P : </span>
                                <p-inputNumber inputId="integeronly" [(ngModel)]="para" placeholder="" [min]="0"
                                    [max]="99" class="p-inputnumber-input-my"></p-inputNumber>
                            </div>
                            <div class="flex   mb-1 tw-mr-2 tw-items-center">
                                <span>A : </span>
                                <p-inputNumber inputId="integeronly" [(ngModel)]="abortion" placeholder="" [min]="0"
                                    [max]="99" class="p-inputnumber-input-my"></p-inputNumber>
                            </div>
                            <div class="flex   mb-1 tw-mr-2 tw-items-center">
                                <span>L : </span>
                                <p-inputNumber inputId="integeronly" [(ngModel)]="live_birth" placeholder="" [min]="0"
                                    [max]="99" class="p-inputnumber-input-my"></p-inputNumber>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
            <div class="grid h-full p-4 tw-items-center">
                <div class="col-12 md:col-6 lg:col-4 xl:col-3 py-0 mb-2">
                    <div class="flex flex-row my-auto align-content-center tw-items-center py-0">
                        <div class="font-bold w-11rem">โรคประจำตัวหรือโรคทางพันธุกรรม</div>
                        <div class="mr-6"><p-radioButton name="is_family_disease" [value]="false"
                                [(ngModel)]="is_family_disease" id="is_family_disease"
                                (click)="click_is_family_disease_N()"></p-radioButton>
                            <label for="is_family_disease" class="ml-2">ไม่มี </label>
                        </div>
                        <div><p-radioButton name="is_family_disease" [value]="true" [(ngModel)]="is_family_disease"
                                id="is_family_disease2"></p-radioButton>
                            <label for="is_family_disease2" class="ml-2">มี</label>
                        </div>
                    </div>
                </div>
                <div class="col-12 md:col-6 lg:col-8 xl:col-9 py-0">
                    <div class="flex flex-row">
                        <div class>
                            <span pButton pRipple type="button" label="ระบุ"
                                class="p-button-secondary p-button-text w-6rem"></span>
                        </div>
                        <div class="flex  pl-2 tw-w-96 ">
                            <input pInputText id="firstname1" type="text" [(ngModel)]="family_disease_describe"
                                placeholder class="w-full ui-fluid" [disabled]="!is_family_disease" />
                        </div>
                    </div>
                </div>
            </div>

            <div class="grid h-full p-4 tw-items-center">
                <div class="col-12 md:col-6 lg:col-4 xl:col-3 py-0 mb-2">
                    <div class="flex flex-row my-auto align-content-center tw-items-center py-0">
                        <div class="font-bold w-11rem">วัคซีน</div>
                        <div class="flex flex-wrap gap-3 items-center">
                            <div class="flex align-items-center">
                                <p-radioButton name="is_child_vaccine_complete" [value]="true"
                                    [(ngModel)]="is_child_vaccine_complete"
                                    id="is_child_vaccine_complete"></p-radioButton>
                                <label for="is_child_vaccine_complete" class="ml-2">ครบตามเกณฑ์</label>
                            </div>
                            <div class="flex align-items-center">
                                <p-radioButton name="is_child_vaccine_complete" [value]="false"
                                    [(ngModel)]="is_child_vaccine_complete"
                                    id="is_child_vaccine_complete2"></p-radioButton>
                                <label for="is_child_vaccine_complete2" class="ml-2">ไม่ครบตามเกณฑ์</label>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
            <div class="grid h-full p-4 tw-items-center">
                <div class="col-12 md:col-6 lg:col-4 xl:col-3 py-0 mb-2">
                    <div class="flex flex-row my-auto align-content-center tw-items-center py-0">
                        <div class="font-bold w-11rem">พัฒนาการ</div>
                        <div class="flex flex-wrap gap-3 items-center">
                            <div class="flex align-items-center">
                                <p-radioButton name="is_child_development_normal" [value]="true"
                                    [(ngModel)]="is_child_development_normal"
                                    id="is_child_development_normal"></p-radioButton>
                                <label for="is_child_development_normal" class="ml-2">เหมาะสมตามวัย</label>
                            </div>
                            <div class="flex align-items-center">
                                <p-radioButton name="is_child_development_normal" [value]="false"
                                    [(ngModel)]="is_child_development_normal"
                                    id="is_child_development_normal2"></p-radioButton>
                                <label for="is_child_development_normal2" class="ml-2">ไม่เหมาะสมตามวัย</label>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
            <div class="grid h-full p-4 ">
                แหล่งที่มาข้อมูล
            </div>


            <!-- ///////////////Review of System////////////////////////////////////////////////////////////////////////////////////// -->
            <!-- <div>
            <div class="flex tw-flex-col mt-2">
                <div class="font-bold text-xl text-800 mb-3">Review of System</div>
                <div class="col-12 border-top-2 border-blue-400 mb-1"></div>

                <div
                    class="tw-grid tw-grid-cols-1 sm:tw-grid-cols-1 md:tw-grid-cols-2 lg:tw-grid-cols-3 xl:tw-grid-cols-4 tw-gap-4">
                    <div class="grid h-full p-4 tw-items-center ">
                        <div class="col-12 py-0 mb-2 tw-h-fit">
                            <div class="flex flex-row my-auto tw-content-center tw-items-center py-0 h-full">
                                <div class="flex font-bold w-6rem align-content-center  tw-items-center h-full">
                                    Heent</div>
                                <div
                                    class="options flex flex-row align-content-center align-items-center tw-items-center px-0">
                                    <div>
                                        <label title="item1" class="flex align-content-center tw-items-center p-0">
                                            <input type="radio" name="pheent" [value]="true" [(ngModel)]="pheent" />
                                            <img /> <span class="ml-2">ปกติ</span>
                                        </label>
                                    </div>
                                    <div>
                                        <label title="item2" class="flex align-content-center tw-items-center p-0">
                                            <input type="radio" name="pheent" [value]="false" [(ngModel)]="pheent" />
                                            <img /> <span class="ml-2">ผิดปกติ</span>
                                        </label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="grid h-full p-4 tw-items-center ">
                        <div class="col-12 py-0 mb-2 tw-h-fit">
                            <div class="flex flex-row my-auto tw-content-center tw-items-center py-0 h-full">
                                <div class="flex font-bold w-6rem align-content-center  tw-items-center h-full">
                                    Heart</div>
                                <div
                                    class="options flex flex-row align-content-center align-items-center tw-items-center px-0">
                                    <div>
                                        <label title="item1" class="flex align-content-center tw-items-center p-0">
                                            <input type="radio" name="pheart" [value]="true" [(ngModel)]="pheart" />
                                            <img /> <span class="ml-2">ปกติ</span>
                                        </label>
                                    </div>
                                    <div>
                                        <label title="item2" class="flex align-content-center tw-items-center p-0">
                                            <input type="radio" name="pheart" [value]="false" [(ngModel)]="pheart" />
                                            <img /> <span class="ml-2">ผิดปกติ</span>
                                        </label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="grid h-full p-4 tw-items-center ">
                        <div class="col-12 py-0 mb-2 tw-h-fit">
                            <div class="flex flex-row my-auto tw-content-center tw-items-center py-0 h-full">
                                <div class="flex font-bold w-6rem align-content-center  tw-items-center h-full">
                                    LUNG</div>
                                <div
                                    class="options flex flex-row align-content-center align-items-center tw-items-center px-0">
                                    <div>
                                        <label title="item1" class="flex align-content-center tw-items-center p-0">
                                            <input type="radio" name="plung" [value]="true" [(ngModel)]="plung" />
                                            <img /> <span class="ml-2">ปกติ</span>
                                        </label>
                                    </div>
                                    <div>
                                        <label title="item2" class="flex align-content-center tw-items-center p-0">
                                            <input type="radio" name="plung" [value]="false" [(ngModel)]="plung" />
                                            <img /> <span class="ml-2">ผิดปกติ</span>
                                        </label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="grid h-full p-4 tw-items-center ">
                        <div class="col-12 py-0 mb-2 tw-h-fit">
                            <div class="flex flex-row my-auto tw-content-center tw-items-center py-0 h-full">
                                <div class="flex font-bold w-6rem align-content-center  tw-items-center h-full">
                                    Abdomen</div>
                                <div
                                    class="options flex flex-row align-content-center align-items-center tw-items-center px-0">
                                    <div>
                                        <label title="item1" class="flex align-content-center tw-items-center p-0">
                                            <input type="radio" name="pabdomen" [value]="true" [(ngModel)]="pabdomen" />
                                            <img /> <span class="ml-2">ปกติ</span>
                                        </label>
                                    </div>
                                    <div>
                                        <label title="item2" class="flex align-content-center tw-items-center p-0">
                                            <input type="radio" name="pabdomen" [value]="false"
                                                [(ngModel)]="pabdomen" />
                                            <img /> <span class="ml-2">ผิดปกติ</span>
                                        </label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="grid h-full p-4 tw-items-center ">
                        <div class="col-12 py-0 mb-2 tw-h-fit">
                            <div class="flex flex-row my-auto tw-content-center tw-items-center py-0 h-full">
                                <div class="flex font-bold w-6rem align-content-center  tw-items-center h-full">
                                    Back And CVA</div>
                                <div
                                    class="options flex flex-row align-content-center align-items-center tw-items-center px-0">
                                    <div>
                                        <label title="item1" class="flex align-content-center tw-items-center p-0">
                                            <input type="radio" name="pback_and_cva" [value]="true"
                                                [(ngModel)]="pback_and_cva" />
                                            <img /> <span class="ml-2">ปกติ</span>
                                        </label>
                                    </div>
                                    <div>
                                        <label title="item2" class="flex align-content-center tw-items-center p-0">
                                            <input type="radio" name="pback_and_cva" [value]="false"
                                                [(ngModel)]="pback_and_cva" />
                                            <img /> <span class="ml-2">ผิดปกติ</span>
                                        </label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="grid h-full p-4 tw-items-center ">
                        <div class="col-12 py-0 mb-2 tw-h-fit">
                            <div class="flex flex-row my-auto tw-content-center tw-items-center py-0 h-full">
                                <div class="flex font-bold w-6rem align-content-center  tw-items-center h-full">
                                    Extremities & Skin</div>
                                <div
                                    class="options flex flex-row align-content-center align-items-center tw-items-center px-0">
                                    <div>
                                        <label title="item1" class="flex align-content-center tw-items-center p-0">
                                            <input type="radio" name="pextremities_and_skin" [value]="true"
                                                [(ngModel)]="pextremities_and_skin" />
                                            <img /> <span class="ml-2">ปกติ</span>
                                        </label>
                                    </div>
                                    <div>
                                        <label title="item2" class="flex align-content-center tw-items-center p-0">
                                            <input type="radio" name="pextremities_and_skin" [value]="false"
                                                [(ngModel)]="pextremities_and_skin" />
                                            <img /> <span class="ml-2">ผิดปกติ</span>
                                        </label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="grid h-full p-4 tw-items-center ">
                        <div class="col-12 py-0 mb-2 tw-h-fit">
                            <div class="flex flex-row my-auto tw-content-center tw-items-center py-0 h-full">
                                <div class="flex font-bold w-6rem align-content-center  tw-items-center h-full">
                                    Neuro Signs</div>
                                <div
                                    class="options flex flex-row align-content-center align-items-center tw-items-center px-0">
                                    <div>
                                        <label title="item1" class="flex align-content-center tw-items-center p-0">
                                            <input type="radio" name="pneuro_signs" [value]="true"
                                                [(ngModel)]="pneuro_signs" />
                                            <img /> <span class="ml-2">ปกติ</span>
                                        </label>
                                    </div>
                                    <div>
                                        <label title="item2" class="flex align-content-center tw-items-center p-0">
                                            <input type="radio" name="pneuro_signs" [value]="false"
                                                [(ngModel)]="pneuro_signs" />
                                            <img /> <span class="ml-2">ผิดปกติ</span>
                                        </label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>


                </div>
            </div>


        </div> -->
            <!-- ////////////แหล่งที่มาข้อมูล///////////////////////////////////////////////////////////////////////////////////////// -->
            <div class="grid h-full p-2 mt-2">
                <div class="font-bold text-xl text-800 mb-1">Review of System</div>

                <div class="col-12 border-top-2 border-blue-400 tw-h-1"></div>

                <div class="col-12 py-0 mb-2 border-right-1 surface-border">
                    <div class="flex tw-flex-col">
                        <div class="flex flex-column mt-2">


                            <div class="grid h-full p-4 tw-items-center ">
                                <div class="col-12 py-0 mb-2 tw-h-fit">
                                    <div class="flex flex-row my-auto tw-content-center tw-items-center py-0 h-full">
                                        <div class="flex font-bold w-6rem align-content-center  tw-items-center h-full">
                                            Heent</div>
                                        <div
                                            class="options flex flex-row align-content-center align-items-center tw-items-center px-0">
                                            <div>
                                                <label title="item1"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="pheent" [value]="true"
                                                        [(ngModel)]="pheent" />
                                                    <img /> <span class="ml-2">ปกติ</span>
                                                </label>
                                            </div>
                                            <div>
                                                <label title="item2"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="pheent" [value]="false"
                                                        [(ngModel)]="pheent" />
                                                    <img /> <span class="ml-2">ผิดปกติ</span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="grid h-full p-4 tw-items-center ">
                                <div class="col-12 py-0 mb-2 tw-h-fit">
                                    <div class="flex flex-row my-auto tw-content-center tw-items-center py-0 h-full">
                                        <div class="flex font-bold w-6rem align-content-center  tw-items-center h-full">
                                            Heart</div>
                                        <div
                                            class="options flex flex-row align-content-center align-items-center tw-items-center px-0">
                                            <div>
                                                <label title="item1"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="pheart" [value]="true"
                                                        [(ngModel)]="pheart" />
                                                    <img /> <span class="ml-2">ปกติ</span>
                                                </label>
                                            </div>
                                            <div>
                                                <label title="item2"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="pheart" [value]="false"
                                                        [(ngModel)]="pheart" />
                                                    <img /> <span class="ml-2">ผิดปกติ</span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="grid h-full p-4 tw-items-center ">
                                <div class="col-12 py-0 mb-2 tw-h-fit">
                                    <div class="flex flex-row my-auto tw-content-center tw-items-center py-0 h-full">
                                        <div class="flex font-bold w-6rem align-content-center  tw-items-center h-full">
                                            LUNG</div>
                                        <div
                                            class="options flex flex-row align-content-center align-items-center tw-items-center px-0">
                                            <div>
                                                <label title="item1"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="plung" [value]="true"
                                                        [(ngModel)]="plung" />
                                                    <img /> <span class="ml-2">ปกติ</span>
                                                </label>
                                            </div>
                                            <div>
                                                <label title="item2"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="plung" [value]="false"
                                                        [(ngModel)]="plung" />
                                                    <img /> <span class="ml-2">ผิดปกติ</span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="grid h-full p-4 tw-items-center ">
                                <div class="col-12 py-0 mb-2 tw-h-fit">
                                    <div class="flex flex-row my-auto tw-content-center tw-items-center py-0 h-full">
                                        <div class="flex font-bold w-6rem align-content-center  tw-items-center h-full">
                                            Abdomen</div>
                                        <div
                                            class="options flex flex-row align-content-center align-items-center tw-items-center px-0">
                                            <div>
                                                <label title="item1"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="pabdomen" [value]="true"
                                                        [(ngModel)]="pabdomen" />
                                                    <img /> <span class="ml-2">ปกติ</span>
                                                </label>
                                            </div>
                                            <div>
                                                <label title="item2"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="pabdomen" [value]="false"
                                                        [(ngModel)]="pabdomen" />
                                                    <img /> <span class="ml-2">ผิดปกติ</span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="grid h-full p-4 tw-items-center ">
                                <div class="col-12 py-0 mb-2 tw-h-fit">
                                    <div class="flex flex-row my-auto tw-content-center tw-items-center py-0 h-full">
                                        <div class="flex font-bold w-6rem align-content-center  tw-items-center h-full">
                                            Back And CVA</div>
                                        <div
                                            class="options flex flex-row align-content-center align-items-center tw-items-center px-0">
                                            <div>
                                                <label title="item1"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="pback_and_cva" [value]="true"
                                                        [(ngModel)]="pback_and_cva" />
                                                    <img /> <span class="ml-2">ปกติ</span>
                                                </label>
                                            </div>
                                            <div>
                                                <label title="item2"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="pback_and_cva" [value]="false"
                                                        [(ngModel)]="pback_and_cva" />
                                                    <img /> <span class="ml-2">ผิดปกติ</span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="grid h-full p-4 tw-items-center ">
                                <div class="col-12 py-0 mb-2 tw-h-fit">
                                    <div class="flex flex-row my-auto tw-content-center tw-items-center py-0 h-full">
                                        <div class="flex font-bold w-6rem align-content-center  tw-items-center h-full">
                                            Extremities & Skin</div>
                                        <div
                                            class="options flex flex-row align-content-center align-items-center tw-items-center px-0">
                                            <div>
                                                <label title="item1"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="pextremities_and_skin" [value]="true"
                                                        [(ngModel)]="pextremities_and_skin" />
                                                    <img /> <span class="ml-2">ปกติ</span>
                                                </label>
                                            </div>
                                            <div>
                                                <label title="item2"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="pextremities_and_skin" [value]="false"
                                                        [(ngModel)]="pextremities_and_skin" />
                                                    <img /> <span class="ml-2">ผิดปกติ</span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="grid h-full p-4 tw-items-center ">
                                <div class="col-12 py-0 mb-2 tw-h-fit">
                                    <div class="flex flex-row my-auto tw-content-center tw-items-center py-0 h-full">
                                        <div class="flex font-bold w-6rem align-content-center  tw-items-center h-full">
                                            Neuro Signs</div>
                                        <div
                                            class="options flex flex-row align-content-center align-items-center tw-items-center px-0">
                                            <div>
                                                <label title="item1"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="pneuro_signs" [value]="true"
                                                        [(ngModel)]="pneuro_signs" />
                                                    <img /> <span class="ml-2">ปกติ</span>
                                                </label>
                                            </div>
                                            <div>
                                                <label title="item2"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="pneuro_signs" [value]="false"
                                                        [(ngModel)]="pneuro_signs" />
                                                    <img /> <span class="ml-2">ผิดปกติ</span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>



            </div>

            <!-- ////////////Physical Exam///////////////////////////////////////////////////////////////////////////////////////// -->
            <div class="grid h-full p-2 mt-2">
                <div class="font-bold text-xl text-800 mb-1">Physical Examination</div>

                <div class="col-12 border-top-2 border-blue-400 tw-h-1"></div>
                <div class="col-12  text-lg font-bold">
                    V/S ส่วนสูง: {{ body_height }} ซม. น้ำหนัก: {{ body_weight }} กก. BMI:
                    {{ body_weight }} อุณหภูมิร่างกาย: {{ body_temperature }} C
                    ความดันโลหิต:
                    {{ systolic_blood_pressure }}/{{ diatolic_blood_pressure }} mmHg.
                </div>

                <div class="col-12 md:col-4 lg:col-4 xl:col-4 py-0 mb-2 border-right-1 surface-border">
                    <div class="flex tw-flex-col">
                        <div class="flex flex-column mt-2">
                            <div class="grid h-full p-4 tw-items-center ">
                                <div class="col-12 py-0 mb-2 tw-h-fit">
                                    <div class="flex flex-row my-auto tw-content-center tw-items-center py-0 h-full">
                                        <div class="flex font-bold w-6rem align-content-center  tw-items-center h-full">
                                            General Appearance</div>
                                        <div
                                            class="options flex flex-row align-content-center align-items-center tw-items-center px-0">
                                            <div>
                                                <label title="item1"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="general_appearance" [value]="true"
                                                        [(ngModel)]="general_appearance" />
                                                    <img /> <span class="ml-2">Healthy</span>
                                                </label>
                                            </div>
                                            <div>
                                                <label title="item2"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="general_appearance" [value]="false"
                                                        [(ngModel)]="general_appearance" />
                                                    <img /> <span class="ml-2">Active</span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="grid h-full p-4 tw-items-center ">
                                <div class="col-12 py-0 mb-2 tw-h-fit">
                                    <div class="flex flex-row my-auto tw-content-center tw-items-center py-0 h-full">
                                        <div class="flex font-bold w-6rem align-content-center  tw-items-center h-full">
                                            Heent</div>
                                        <div
                                            class="options flex flex-row align-content-center align-items-center tw-items-center px-0">
                                            <div>
                                                <label title="item1"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="heent" [value]="true"
                                                        [(ngModel)]="heent" />
                                                    <img /> <span class="ml-2">ปกติ</span>
                                                </label>
                                            </div>
                                            <div>
                                                <label title="item2"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="heent" [value]="false"
                                                        [(ngModel)]="heent" />
                                                    <img /> <span class="ml-2">ผิดปกติ</span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="grid h-full p-4 tw-items-center ">
                                <div class="col-12 py-0 mb-2 tw-h-fit">
                                    <div class="flex flex-row my-auto tw-content-center tw-items-center py-0 h-full">
                                        <div class="flex font-bold w-6rem align-content-center  tw-items-center h-full">
                                            Heart</div>
                                        <div
                                            class="options flex flex-row align-content-center align-items-center tw-items-center px-0">
                                            <div>
                                                <label title="item1"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="heart" [value]="true"
                                                        [(ngModel)]="heart" />
                                                    <img /> <span class="ml-2">ปกติ</span>
                                                </label>
                                            </div>
                                            <div>
                                                <label title="item2"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="heart" [value]="false"
                                                        [(ngModel)]="heart" />
                                                    <img /> <span class="ml-2">ผิดปกติ</span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="grid h-full p-4 tw-items-center ">
                                <div class="col-12 py-0 mb-2 tw-h-fit">
                                    <div class="flex flex-row my-auto tw-content-center tw-items-center py-0 h-full">
                                        <div class="flex font-bold w-6rem align-content-center  tw-items-center h-full">
                                            LUNG</div>
                                        <div
                                            class="options flex flex-row align-content-center align-items-center tw-items-center px-0">
                                            <div>
                                                <label title="item1"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="lung" [value]="true" [(ngModel)]="lung" />
                                                    <img /> <span class="ml-2">ปกติ</span>
                                                </label>
                                            </div>
                                            <div>
                                                <label title="item2"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="lung" [value]="false"
                                                        [(ngModel)]="lung" />
                                                    <img /> <span class="ml-2">ผิดปกติ</span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="grid h-full p-4 tw-items-center ">
                                <div class="col-12 py-0 mb-2 tw-h-fit">
                                    <div class="flex flex-row my-auto tw-content-center tw-items-center py-0 h-full">
                                        <div class="flex font-bold w-6rem align-content-center  tw-items-center h-full">
                                            Abdomen</div>
                                        <div
                                            class="options flex flex-row align-content-center align-items-center tw-items-center px-0">
                                            <div>
                                                <label title="item1"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="abdomen" [value]="true"
                                                        [(ngModel)]="abdomen" />
                                                    <img /> <span class="ml-2">ปกติ</span>
                                                </label>
                                            </div>
                                            <div>
                                                <label title="item2"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="abdomen" [value]="false"
                                                        [(ngModel)]="abdomen" />
                                                    <img /> <span class="ml-2">ผิดปกติ</span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="grid h-full p-4 tw-items-center ">
                                <div class="col-12 py-0 mb-2 tw-h-fit">
                                    <div class="flex flex-row my-auto tw-content-center tw-items-center py-0 h-full">
                                        <div class="flex font-bold w-6rem align-content-center  tw-items-center h-full">
                                            Back And CVA</div>
                                        <div
                                            class="options flex flex-row align-content-center align-items-center tw-items-center px-0">
                                            <div>
                                                <label title="item1"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="back_and_cva" [value]="true"
                                                        [(ngModel)]="back_and_cva" />
                                                    <img /> <span class="ml-2">ปกติ</span>
                                                </label>
                                            </div>
                                            <div>
                                                <label title="item2"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="back_and_cva" [value]="false"
                                                        [(ngModel)]="back_and_cva" />
                                                    <img /> <span class="ml-2">ผิดปกติ</span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="grid h-full p-4 tw-items-center ">
                                <div class="col-12 py-0 mb-2 tw-h-fit">
                                    <div class="flex flex-row my-auto tw-content-center tw-items-center py-0 h-full">
                                        <div class="flex font-bold w-6rem align-content-center  tw-items-center h-full">
                                            Extremities & Skin</div>
                                        <div
                                            class="options flex flex-row align-content-center align-items-center tw-items-center px-0">
                                            <div>
                                                <label title="item1"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="extremities_and_skin" [value]="true"
                                                        [(ngModel)]="extremities_and_skin" />
                                                    <img /> <span class="ml-2">ปกติ</span>
                                                </label>
                                            </div>
                                            <div>
                                                <label title="item2"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="extremities_and_skin" [value]="false"
                                                        [(ngModel)]="extremities_and_skin" />
                                                    <img /> <span class="ml-2">ผิดปกติ</span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="grid h-full p-4 tw-items-center ">
                                <div class="col-12 py-0 mb-2 tw-h-fit">
                                    <div class="flex flex-row my-auto tw-content-center tw-items-center py-0 h-full">
                                        <div class="flex font-bold w-6rem align-content-center  tw-items-center h-full">
                                            Neuro Signs</div>
                                        <div
                                            class="options flex flex-row align-content-center align-items-center tw-items-center px-0">
                                            <div>
                                                <label title="item1"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="neuro_signs" [value]="true"
                                                        [(ngModel)]="neuro_signs" />
                                                    <img /> <span class="ml-2">ปกติ</span>
                                                </label>
                                            </div>
                                            <div>
                                                <label title="item2"
                                                    class="flex align-content-center tw-items-center p-0">
                                                    <input type="radio" name="neuro_signs" [value]="false"
                                                        [(ngModel)]="neuro_signs" />
                                                    <img /> <span class="ml-2">ผิดปกติ</span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>

                <div class="col-12 md:col-4 lg:col-4 xl:col-4 py-0 mb-2 border-right-1 surface-border">
                    <div class="flex tw-flex-col">

                        <div class="flex text-lg font-bold">
                            ผลตรวจร่างกายอื่นๆ
                        </div>

                        <!-- <div>
                            <b>.</b>
                        </div> -->
                        <div class="grid h-full p-4 tw-items-center">
                            <div class="col-12 py-0 mb-2">
                                <textarea rows="15" cols="30" class="w-full" [(ngModel)]="note"
                                    placeholder="Your Message" pInputTextarea></textarea>

                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-12 md:col-4 lg:col-4 xl:col-4 py-0 mb-2 ">

                    <div class="tw-h-fit bg-blue-50 justify-content-center" style="box-sizing: border-box;">
                       
                        <!-- <app-anatomy-drawing *ngIf="dataLoaded" [bufferData]="bufferData"
                            (dataEvent)="receiveDataFromChild($event)"></app-anatomy-drawing>
                        <div *ngIf="!(dataLoaded)">Loading...</div> -->
                        <app-anatomy-drawing></app-anatomy-drawing>
                   
                </div>
            </div>

            <!-- ////////////Lab  Findding///////////////////////////////////////////////////////////////////////////////////////// -->
            <div class="grid h-full p-2 mt-2 mb-3">
                <div class="col-12 border-top-2 border-blue-400 tw-h-1"></div>

                <div class="col-12 py-0 mb-2 border-right-1 surface-border">
                    Lab finding ผลการชัณสูตรที่สำคัญ

                    <!-- <div class="card">
                        <p-table [value]="cbc" [tableStyle]="{ 'min-width': 'fit' }">
                            <ng-template pTemplate="caption">
                                <div class="flex align-items-center justify-content-between">
                                    CBC
                                    <p-button icon="pi pi-refresh" />
                                </div>
                            </ng-template>
                            <ng-template pTemplate="header">
                                <tr>                                   
                                    <th>Name</th>
                                    <th>Result</th>
                                    <th>Unit</th>
                                </tr>
                            </ng-template>
                            <ng-template pTemplate="body" let-product>
                                <tr>
                                   
                                    <td>{{ product.lab_test_name }}</td>
                                    <td>{{ product.lab_test_result }}</td>
                                    <td>{{ product.lab_test_unit }}</td>
                                </tr>
                            </ng-template>
                        </p-table>
                    </div> -->
                    <div class="card">
                        <p-table [value]="labFinding" sortField="lab_test_name" sortMode="single" [scrollable]="true"
                            scrollHeight="400px" rowGroupMode="subheader" groupRowsBy="code"
                            [tableStyle]="{'min-width': 'fit'}">
                            <ng-template pTemplate="header">
                                <tr>
                                    <th>Name</th>
                                    <th>Result</th>
                                    <th>Unit</th>
                                </tr>
                            </ng-template>
                            <ng-template pTemplate="groupheader" let-labb>
                                <tr pRowGroupHeader>
                                    <td colspan="3">
                                        <span class="font-bold ml-2">{{labb.name}}</span>
                                    </td>
                                </tr>
                            </ng-template>

                            <ng-template pTemplate="body" let-lab let-rowIndex="rowIndex">
                                <tr>
                                    <td>{{ lab.lab_test_name }}</td>
                                    <td>{{ lab.lab_test_result }}</td>
                                    <td>{{ lab.lab_test_unit }}</td>
                                </tr>
                            </ng-template>
                        </p-table>
                    </div>

                </div>
                <div *ngIf="is_cbc" class="col-12 md:col-6 lg:col-6 xl:col-6 py-0 mb-2 border-right-1 surface-border">
                    CBC
                    <div class="flex tw-flex-col w-w-full" style="background-image:url(../../../../assets/images/fish.png);
                    background-repeat:no-repeat;
                    background-size: contain;
                    width: 80%;
                    height: 100%;
                    margin-left: 50px;
                    background-position: center center;
                    ">
                        <div class="flex flex-row tw-flex-nowrap justify-content-between mt-4">
                            <span>{{hb}}</span>
                            <span>{{pmn}}</span>
                        </div>
                        <div class="flex flex-row tw-flex-nowrap justify-content-center my-4">
                            {{wbc}}<br>
                        </div>
                        <div class="flex flex-row tw-flex-nowrap justify-content-center my-4">
                            {{plt}}<br>
                        </div>
                        <div class="flex flex-row tw-flex-nowrap justify-content-between mt-4">
                            <span>{{hct}}</span>
                            <span>{{lymph}}</span>
                        </div>
                    </div>
                </div>
                <div *ngIf="is_elyte" class="col-12 md:col-4 lg:col-4 xl:col-4 py-0 mb-2 ">
                    Elyte
                    <div class="flex tw-flex-col  tw-w-full">
                        <div class="flex tw-flex-row tw-flex-nowrap tw-w-full">
                            <div
                                class="tw-w-1/2 border-right-3 border-black   h-6rem  surface-overlay font-bold flex align-items-center justify-content-center">
                                {{na}}</div>
                            <div
                                class="tw-w-1/2 border-left-3 border-black  h-6rem  surface-overlay font-bold flex align-items-center justify-content-center">
                                {{k}}</div>

                        </div>
                        <div class="flex tw-flex-row tw-flex-nowrap tw-w-full">
                            <div class="tw-w-1/2 p-0 tw-bg-black tw-h-1 tw-border-t-1 tw-border-solid tw-border-black">
                            </div>
                            <div class="tw-w-1/2 p-0 tw-bg-black tw-h-1 tw-border-t-1 tw-border-solid tw-border-black">
                            </div>

                        </div>
                        <div class="flex tw-flex-row tw-flex-nowrap tw-w-full">
                            <div
                                class="tw-w-1/2 border-right-3 border-black  h-6rem  surface-overlay font-bold flex align-items-center justify-content-center">
                                {{cl}}</div>
                            <div
                                class="tw-w-1/2 border-left-3 border-black  h-6rem  surface-overlay font-bold flex align-items-center justify-content-center">
                                {{co2}}</div>
                        </div>
                    </div>
                    <!-- 
                    <div class="grid col-12 bg-rose-100 justify-content-center align-items-center">
                        <img src="../../../../assets/images/elytePlus.png" height="50" width="50" />
                    </div> -->
                </div>

            </div>

            <!-- ///////////////////////////////////////////////////////////////////////////////////////////////////// -->
            <div class="grid h-full p-1 ">

                <div class="col-12 border-top-2 border-blue-400"></div>

                <div class="col-12 md:col-6 mb-2 content-center">

                    <span class="text-bold pl-4 pt-1 mr-2 w-32 text-lg font-bold">การวินิจฉัยโรค</span>
                    <textarea rows="5" cols="30" class="w-full" placeholder="อื่นๆ ระบุ" pInputTextarea
                        [(ngModel)]="diagnosis"></textarea>

                </div>

                <div class="col-12 md:col-6 mb-2 content-center">
                    <span class="text-bold pl-4 pt-1 mr-2 w-32 text-lg font-bold">แผนการรักษา</span>
                    <textarea rows="5" cols="30" class="w-full" placeholder="อื่นๆ ระบุ" pInputTextarea
                        [(ngModel)]="plan_of_treatment"></textarea>
                </div>

            </div>
            <div class="grid h-full p-1 ">

                <div class="col-12 border-top-2 border-blue-400"></div>

                <div class="col-12 md:col-6 mb-2 content-center">

                    <span class="text-bold pl-4 pt-1 mr-2 w-32 text-lg font-bold">Doctor signature </span>


                </div>

                <div class="col-12 md:col-6 mb-2 content-center">
                    <span class="text-bold pl-4 pt-1 mr-2 w-32 text-lg font-bold">Attending Physical</span>

                </div>

            </div>


            <div class="flex flex-wrap gap-2 mt-4 justify-content-center">
                <button pButton pRipple type="button" class="tw-w-32" label="บันทึก"
                    (click)="saveAdmissionNote()"></button>

                <button pButton pRipple type="button" label="ล้างข้อมูล" class="p-button-secondary tw-w-32"
                    (click)="resetForm()"></button>

                <!-- <button pButton pRipple type="button" label="ยกเxxxxลิก" class="p-button-danger tw-w-32"
                (click)="testme()"></button> -->
                <p-toast></p-toast>
                <!-- <button type="button" pButton pRipple (click)="show()" label="Show" class="p-button-success"></button> -->

                <!-- <p-speedDial [model]="speedDialitems" className="speeddial-left" direction="down"
                [transitionDelay]="50" showIcon="pi pi-bars" hideIcon="pi pi-times"
                buttonClassName="p-button-outlined"></p-speedDial> -->
            </div>
        </div>
    </div>